Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::IDSelectorRange Struct Reference

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::IDSelectorRange:

## Public Member Functions
| IDSelectorRange (idx_t imin, idx_t imax)
bool | is_member (idx_t id) const override

## Public Attributes
idx_t | imin
idx_t | imax

## Additional Inherited Members
Public Types inherited from faiss::IDSelector
typedef Index::idx_t | idx_t

## Detailed Description

remove ids between [imni, imax)

Definition at line 63 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/AuxIndexStructures.h
- /data/users/hoss/faiss/AuxIndexStructures.cpp